#include "solveHH.h"
#include "DataRec.h"

int main()
{
// initial conditions
	double y[6];
	double h = 0.01;
	int iteration = (int)(500.0/h);

//--------------------------------
	int n = sizeof(y)/sizeof(double);
	int i;
	double x;

	CsolveHH hh;
	CDataRecorder rec;

	hh.initState(n,h,y);
	hh.initValues();

	rec.Start(n,y);

	for(i=0;i<iteration;i++){
		x = h*i;
		rec.StoreData(x);
		hh.rk4(x);
	}
	rec.Stop();
	rec.Replay();
	return 0;
}


