#include <math.h>
#include "solveODE.h"
CsolveODE::CsolveODE(){}
CsolveODE::~CsolveODE(){}
void CsolveODE::rhs(double x, double* y, double* dy){
	double s,p;
	p = 1.6*y[0]-y[1] + K;
	s = (p<0)? 0 : (M * p * p)/(pow(sigma, 2) + pow(p, 2));
	dy[0] = 0.2*(-y[0]+s);

	p = 1.5*y[0];
	s = (p<0)? 0 : (M * p * p)/(pow(sigma, 2) + pow(p, 2));
	dy[1] = 0.1*(-y[1]+s);
}

